Skip to content
Docs

Get NKS Persistent Volume Claim Details

GET/v1/nks/clusters/{cluster_id}/persistent_volume_claims/{persistent_volume_claim_id}

Get details about an NKS persistent volume claim

Path ParametersExpand Collapse
cluster_id: string
persistent_volume_claim_id: string
ReturnsExpand Collapse
PersistentVolumeClaim object { id, cluster_id, created_at, 5 more }

NKS persistent volume claim details.

id: string

Unique identifier for the persistent volume claim.

cluster_id: string

Cluster this persistent volume claim belongs to.

created_at: string

When the persistent volume claim was first discovered.

formatdate-time
name: string

Name of the persistent volume claim.

size: number

Size of the persistent volume claim in GB.

Status of the resource.

One of the following:
"pending"
"creating"
"updating"
"ready"
"deleting"
"deleted"
"error"

Type of the Volume.

One of the following:
"nvme"
"abs"
updated_at: string

When the persistent volume claim was last updated.

formatdate-time

Get NKS Persistent Volume Claim Details

curl https://api.nirvanalabs.io/v1/nks/clusters/$CLUSTER_ID/persistent_volume_claims/$PERSISTENT_VOLUME_CLAIM_ID \
    -H "Authorization: Bearer $NIRVANA_LABS_API_KEY"
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "cluster_id": "123e4567-e89b-12d3-a456-426614174000",
  "created_at": "2025-01-01T00:00:00Z",
  "name": "my-volume",
  "size": 100,
  "status": "ready",
  "type": "abs",
  "updated_at": "2025-01-01T00:00:00Z"
}
Returns Examples
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "cluster_id": "123e4567-e89b-12d3-a456-426614174000",
  "created_at": "2025-01-01T00:00:00Z",
  "name": "my-volume",
  "size": 100,
  "status": "ready",
  "type": "abs",
  "updated_at": "2025-01-01T00:00:00Z"
}